%define module Clone
%define name perl-%{module}
%define version 0.31
%define release %mkrel 1

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Recursively copy Perl datatypes
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/R/RD/RDF/%{module}-%{version}.tar.gz
Url: 		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
This module provides a clone() method which makes recursive
copies of nested hash, array, scalar and reference types, 
including tied variables and objects.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorarch}/Clone.pm
%{perl_vendorarch}/auto/Clone
%{_mandir}/*/*



%changelog
* Wed Jan 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2009.1
+ Revision: 332122
- update to new version 0.31

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2009.1
+ Revision: 314243
- update to new version 0.30

* Sun Jul 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2009.0
+ Revision: 234287
- update to new version 0.29

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.28-2mdv2008.1
+ Revision: 151389
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 0.28-1mdv2008.1
+ Revision: 101001
- update to new version 0.28

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 0.27-2mdv2008.1
+ Revision: 101000
- rebuild

* Fri Jul 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdv2008.0
+ Revision: 56126
- new version

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.23-1mdv2008.0
+ Revision: 19810
- 0.23


* Fri Mar 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-1mdk
- 0.20

* Wed Mar 08 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.19-1mdk
- 0.19

* Tue May 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- 0.18

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.15-2mdk
- rebuild for new perl

* Sun Feb 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.15-1mdk
- First Mandrake package

